Loading...
Searching...
No Matches
BALL::GlobalInitializer Class Reference

`#include <BALL/COMMON/init.h>`

## Public Member Functions

| ~GlobalInitializer ()

## Static Public Member Functions

static GlobalInitializer * | init ()

## Detailed Description

General initialization class for the BALL library. The sole purpose of this class is to provide a safe place for intializations that should occur before the first BALL functions are called. Please note that this is realized by a static singleton, so there is no guarantee of a particular order of the creation of this class with respect to all other static variables.

Definition at line 22 of file init.h.

## Constructor & Destructor Documentation

## ~GlobalInitializer()

BALL::GlobalInitializer::~GlobalInitializer | ( |  | ) |

## Member Function Documentation

## init()

GlobalInitializer * BALL::GlobalInitializer::init | ( |  | ) |

static